//Changes The Default Jet Particle
//This add-on was customized by Dglider BLID 12465

datablock ParticleData(playerJetParticle)
{
	textureName          = "base/data/particles/Dot";
	dragCoefficient      = 0.0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.0;
	lifetimeMS           = 150;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.1 0.45 0.85 0.4";
	colors[1]     = "0.1 0.45 0.75 0.1";
	colors[2]     = "1 0.45 0.1 0.4";
	sizes[0]	= 0.3;
	sizes[1]	= 0.4;
	sizes[2]	= 0.6;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(playerJetEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 4;
   ejectionVelocity = 0.0;
   ejectionOffset   = 0.02;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;

   //lifetimeMS = 10;
   particles = playerJetParticle;   

   useemittercolors = False;

	uiName = "Player Jet";
};

datablock ParticleData(playerJetGroundParticle)
{
	textureName          = "base/data/particles/Cloud";
	dragCoefficient      = 0.5;
	gravityCoefficient   = -0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 1;
	constantAcceleration = 0.3;
	lifetimeMS           = 20;
	lifetimeVarianceMS   = 10;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.0 0.0 0.0 0.0";
	colors[1]     = "0.0 0.0 0.0 0.0";
	colors[2]     = "0.0 0.0 0.0 0.0";

	sizes[0]	= 0.3;
	sizes[1]	= 0.5;
	sizes[2]	= 0.6;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(playerJetGroundEmitter)
{
   ejectionPeriodMS = 14;
   periodVarianceMS = 4;
   ejectionVelocity = 0.5;
   ejectionOffset   = 0.0;
   velocityVariance = 0.0;
   thetaMin         = 1;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;

   //lifetimeMS = 10;
   particles = playerJetGroundParticle;   

   useemittercolors = False;

};
